#
# spec file for package knetwalk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           knetwalk
BuildRequires:  libkdegames-devel
BuildRequires:  update-desktop-files
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kxmlgui-devel
Summary:        Puzzle game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Version:        16.08.3
Release:        0
Source0:        knetwalk-%{version}.tar.xz
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Turn the board pieces to get all computers connected.


%prep
%setup -q -n knetwalk-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.knetwalk KNetwalk "Tactical Game" Game LogicGame

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/knetwalk
%{_kf5_htmldir}/en/knetwalk/
%{_kf5_applicationsdir}/org.kde.knetwalk.desktop
%{_kf5_iconsdir}/hicolor/*/*/knetwalk.*
%{_datadir}/knetwalk/
%{_kf5_kxmlguidir}/knetwalk/

%changelog
